Bug 121547 - UI: File Reload dialog size not right (gen/gtk)
Summary: UI: File Reload dialog size not right (gen/gtk)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0.1 target:6.3.0 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-20 13:11 UTC by Telesto
Modified: 2018-11-22 10:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (2.72 KB, image/png)
2018-11-20 13:12 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-11-20 13:11:35 UTC
Description:
UI: File Reload dialog size not right

Steps to Reproduce:
1. Open A file in Writer
2. Make a change
3. File -> Reload

Actual Results:
Dialog as attached

Expected Results:
Proper alignment 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: d71ea82055a6a304493c7eaa90809a348e23784d
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-19_03:25:07
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2018-11-20 13:12:14 UTC
Created attachment 146826 [details]
Screenshot
Comment 2 Dieter 2018-11-20 13:41:02 UTC
I confirm this with

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

Also left border of "Yes" is missing (this is not the case in LO 6.1.3.2)
Comment 3 Xisco Faulí 2018-11-20 17:18:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0120dfb12bcc8f86f256f8f56410215c1828e578

author	Caolán McNamara <caolanm@redhat.com>	2018-11-08 17:21:30 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-09 09:59:41 +0100
commit	0120dfb12bcc8f86f256f8f56410215c1828e578 (patch)
tree	3a6af29bdd5c73ca3b8af68cdad054ee639e0c3f
parent	a75b8e11664b14884fafac32f1dba678537cd3dc (diff)
Resolves: tdf#121181 expand message boxes to show full title

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2018-11-21 13:22:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d6102e05a1efe9eca9d72caac9cddca78ced4bfe%5E%21

Resolves: tdf#121547 do normal dialog layout first

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-21 14:37:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/02b905c8569e2d7631efd61008b4ab0e9353d994%5E%21

Resolves: tdf#121547 do normal dialog layout first

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2018-11-21 14:41:55 UTC
backport to 6-1 in gerrit seeing as the offending commit was backported there too
Comment 7 Commit Notification 2018-11-21 19:34:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/bcacc66e2d1331767da77b24b3d933d4e46533a6%5E%21

Resolves: tdf#121547 do normal dialog layout first

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-11-22 10:44:36 UTC
Verified in

Version: 6.2.0.0.beta1+
Build ID: a5bb6a0406d0018d1df279b925c80b392d9db277
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for the quick fix!!!